########### modify section ##############################
Source9:   rc_module.def

%define RC_MODULE bash %{SOURCE9}
%define kversion        %(%{RC_MODULE} kernel)
%define rc_ver		%(%{RC_MODULE} rc_ver)
%define rc_release_ver	%(%{RC_MODULE} rc_release_ver)
#########################################################

Name:      redcastle-app
Version:   %{rc_ver}
Release:   %{rc_release_ver}
Summary:   RedCastle Applications

Group:     System Environment/Base
License:   RedCastle License
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ia64

Requires: redcastle-kmod >= %{rc_ver}

%define __prefix_app_rc  $RPM_BUILD_ROOT/usr/share/redcastle
%define __prefix_app_desktop $RPM_BUILD_ROOT/usr/share/applications

PreReq(post): coreutils
PreReq(postun): coreutils

%description
* RedCastle Applications
This package provides command line interfaces to handle RedCastle SecureOS.

* RedCastle License to Asianux 3.0
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.


%prep


%setup -c
echo


%build
cd RedCastle3
/bin/rm -f *.m4
/bin/rm -Rf autom4te.cache
aclocal
mv aclocal.m4 acinclude.m4
aclocal
autoheader
autoconf
automake --add-missing
%ifarch i386 i686
	./configure --enable-linux-header
%else
	./configure --enable-linux-header --enable-linux-fw64
%endif
sleep 1
make


%install
cd RedCastle3
make install-strip prefix=%{__prefix_app_rc}
sleep 1

# Adjust file permissions in bin/ directory
rm -f %{__prefix_app_rc}/bin/rclogin
chmod 555 %{__prefix_app_rc}/bin/*
chmod u+s %{__prefix_app_rc}/bin/chpw

# Add additional files in sbin/ directory
rm -f %{__prefix_app_rc}/sbin/faclget
rm -f %{__prefix_app_rc}/sbin/faclset
rm -f %{__prefix_app_rc}/sbin/lastcmd
rm -f %{__prefix_app_rc}/sbin/rcupdate
rm -f %{__prefix_app_rc}/sbin/sulog
cp scripts/LINUX/inst/ipf_contrc %{__prefix_app_rc}/sbin/ipf_contrc
cp src/anaconda/mkinit       %{__prefix_app_rc}/sbin
cp src/anaconda/mkinitdata   %{__prefix_app_rc}/sbin
chmod 544 %{__prefix_app_rc}/sbin/*

# Rename bin/ and sbin/ directories
mv %{__prefix_app_rc}/bin  %{__prefix_app_rc}/bin-%{rc_ver}
mv %{__prefix_app_rc}/sbin %{__prefix_app_rc}/sbin-%{rc_ver}

# Remove conf/ and etc/ directories
rm -rf %{__prefix_app_rc}/conf
rm -rf %{__prefix_app_rc}/etc

# Create bin, sbin link
# ln -s /usr/share/redcastle/sbin-%{rc_ver} %{__prefix_app_rc}/sbin


%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -f /usr/share/redcastle/sbin
ln -s /usr/share/redcastle/sbin-%{rc_ver} /usr/share/redcastle/sbin

rm -f /usr/share/redcastle/bin
ln -s /usr/share/redcastle/bin-%{rc_ver} /usr/share/redcastle/bin

%files
/usr/share/redcastle/bin-%{rc_ver}
/usr/share/redcastle/bin-%{rc_ver}/chpw
/usr/share/redcastle/bin-%{rc_ver}/psx

/usr/share/redcastle/sbin-%{rc_ver}
/usr/share/redcastle/sbin-%{rc_ver}/addcat
/usr/share/redcastle/sbin-%{rc_ver}/addmu
/usr/share/redcastle/sbin-%{rc_ver}/alcmd
/usr/share/redcastle/sbin-%{rc_ver}/cmdctl
/usr/share/redcastle/sbin-%{rc_ver}/conv_rcpwd
/usr/share/redcastle/sbin-%{rc_ver}/delcat
/usr/share/redcastle/sbin-%{rc_ver}/delmu
/usr/share/redcastle/sbin-%{rc_ver}/fgroupget
/usr/share/redcastle/sbin-%{rc_ver}/fgroupset
/usr/share/redcastle/sbin-%{rc_ver}/getcat
/usr/share/redcastle/sbin-%{rc_ver}/getmf
/usr/share/redcastle/sbin-%{rc_ver}/getmu
/usr/share/redcastle/sbin-%{rc_ver}/ipf_contrc
/usr/share/redcastle/sbin-%{rc_ver}/kaclget
/usr/share/redcastle/sbin-%{rc_ver}/kaclset
/usr/share/redcastle/sbin-%{rc_ver}/lastlog
/usr/share/redcastle/sbin-%{rc_ver}/loginc
/usr/share/redcastle/sbin-%{rc_ver}/loginf
/usr/share/redcastle/sbin-%{rc_ver}/loginh
/usr/share/redcastle/sbin-%{rc_ver}/mkinit
/usr/share/redcastle/sbin-%{rc_ver}/mkinitdata
/usr/share/redcastle/sbin-%{rc_ver}/modcat
/usr/share/redcastle/sbin-%{rc_ver}/modmu
/usr/share/redcastle/sbin-%{rc_ver}/rclogd
/usr/share/redcastle/sbin-%{rc_ver}/rcsinfo
/usr/share/redcastle/sbin-%{rc_ver}/replogin
/usr/share/redcastle/sbin-%{rc_ver}/repviolation
/usr/share/redcastle/sbin-%{rc_ver}/rgconf
/usr/share/redcastle/sbin-%{rc_ver}/rgctl
/usr/share/redcastle/sbin-%{rc_ver}/seclog
/usr/share/redcastle/sbin-%{rc_ver}/setmf
/usr/share/redcastle/sbin-%{rc_ver}/sosd
/usr/share/redcastle/sbin-%{rc_ver}/spaclget
/usr/share/redcastle/sbin-%{rc_ver}/spaclset
/usr/share/redcastle/sbin-%{rc_ver}/suctl
/usr/share/redcastle/sbin-%{rc_ver}/syslog
/usr/share/redcastle/sbin-%{rc_ver}/uroleadd
/usr/share/redcastle/sbin-%{rc_ver}/uroleassign
/usr/share/redcastle/sbin-%{rc_ver}/uroledel
/usr/share/redcastle/sbin-%{rc_ver}/uroleget
/usr/share/redcastle/sbin-%{rc_ver}/mkidb

%changelog  
* Fri Aug 08 2008 scwon
- New management for version it is not depended on kernel version

* Mon Mar 31 2008 Jooseok
- Fixed Shutdown problem

* Thu Jan  3 2008 Jooseok Yang 
- Add mkidb for integrity

* Thu Oct  4 2007 Jooseok Yang 
- Fix the bug of suctl command.
  When querying SU Permit User List, the first item is only shown.
- Removed symbolic link for sbin((Bug 3520))

* Wed Aug 15 2007 Kity Park 
- Remove -f and -m option from suctl command.
- Always apply 'su option' to 'Yes' for security user with SO role.
- Correct and re-form messages of rgconf command.

* Wed Aug  1 2007 Kity Park
- Divide redcastle-app rpm into 3 - redcastle-app, redcastle-data and redcastle-manager.
- Fix the bug 3234.
  Change RedCastle installation location - /usr/local -> /usr/share.
- Fix the bug of delcat command.
  Before deleting security group from list, check if there is security users in the group.
- Exclude unused commands - rc_make_*.
- Correct and re-form help messages of commands.

* Wed Jul  4 2007 Kity Park
- Fix the bug 3066.
  Correct error messages of init.RedCastle script.
- Fix the bug 3119.
  Replace rc_make_* commands by new one command mkinitdata.
- Fix the bug of rgctl command.
  When starting RedCastle security function using rgctl command,
  if RedCastle operation mode is 'warning', do not export environments
  to file after starting security function.
- Provide the basic manager.
- Update the default 'Security Attribute Reset List' - support prelink.
- Correct and re-form help messages of commands.

* Wed Jun 20 2007 Kity Park 
- Change the rpm name.
  RedCastle-APP-3.0.0-$rel_num -> redcastle-app-3.0.0-$rel_num.$kern_ver
- Fix the bug 2821 and 3025.
  Whenever starting RedCastle security function, initial data are created newly.
- Fix the bug 3046.
  Management logs of urole* commands are created.
- Provide the default ACL policy and Security Attribute Reset List.

* Wed May 30 2007 Kity Park 
- Fix the bug 2668.
  When starting RedCastle log daemon (rclogd), if rclogd fails to get ip address from /etc/hosts file,
  rclogd set ip address to 127.0.0.1 and runs.
- Fix the bug 2686.
  Fix the argument parsing and checking routine of uroleassign command.

